CREATE TABLE cst_consigned_trade_events_gt (
    CST_INV_TRANSACTION_ID           NUMBER(18, 0),
    PRIMARY_QTY                      NUMBER       ,
    CMR_PO_DISTRIBUTION_ID           NUMBER(18, 0),
    CMR_ROOT_RCV_TXN_ID              NUMBER(18, 0),
    TFR_TO_REG_CURRENCY_CONV_RATE    NUMBER       ,
    OWNERSHIP_CHANGE_CIT_ID          NUMBER(18, 0),
    OWNERSHIP_CHANGE_DATE            TIMESTAMP(6) ,
    PARENT_OWNER_CHANGE_CIT_ID       NUMBER(18, 0),
    PARENT_TIR_CIT_ID                NUMBER(18, 0),
    PO_PRICE_FLAG                    VARCHAR2(4)  ,
    PRICE_CHANGE_EFFECTIVE_DATE      TIMESTAMP(6) ,
    TRANSFER_TO_OWNED_TXN_ID         NUMBER(18, 0),
    CST_INV_TRANSACTION_ID           NUMBER(18, 0),
    PRIMARY_QTY                      NUMBER       ,
    CMR_PO_DISTRIBUTION_ID           NUMBER(18, 0),
    CMR_ROOT_RCV_TXN_ID              NUMBER(18, 0),
    TFR_TO_REG_CURRENCY_CONV_RATE    NUMBER       ,
    OWNERSHIP_CHANGE_CIT_ID          NUMBER(18, 0),
    OWNERSHIP_CHANGE_DATE            TIMESTAMP(6) ,
    PARENT_OWNER_CHANGE_CIT_ID       NUMBER(18, 0),
    PARENT_TIR_CIT_ID                NUMBER(18, 0),
    PO_PRICE_FLAG                    VARCHAR2(4)  ,
    PRICE_CHANGE_EFFECTIVE_DATE      TIMESTAMP(6) ,
    TRANSFER_TO_OWNED_TXN_ID         NUMBER(18, 0)
);
